	<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100193";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];	
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
			
			
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<script>
function datos(cod){
    opener.document.neo.txt_Fami.value = cod;
    window.close();
}
</script>
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<?PHP
include ("Banners.php");
?>

<?PHP

	///Arrastrando variables
	$NoOrdenEn=$_GET['NoOrden'] or $NoOrdenEn=$_POST['NoOrden'];
	$IDBDEn=$_GET['IdBD'] or $IDBDEn=$_POST['IdBD'];
	$SkuEn=$_GET['SkuBD'] or $SkuEn=$_POST['SkuBD'];
	$MotEn=$_GET['txt_MotCance'] or $MotEn=$_POST['txt_MotCance'];
			
	////Identificar los datos del Documento de Recibo
	$sqlIDR1 = mysql_query("select ESTADO_ORDEN,REFERENCIA1,REFERENCIA2,FECHA,HORA,DESCRIPCION,CANTIDAD_X_TRABAJAR,CANTIDAD_APARTADA,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,ESTADO_LINEA from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ID='$IDBDEn' AND SKU='$SkuEn'");
	if (mysql_numrows($sqlIDR1)==0) echo "";
	else{
	$registroIDR1=mysql_fetch_array($sqlIDR1);
	}
	if (mysql_numrows($sqlIDR1)>0)
	{
	$EdoOrdeIDR1=$registroIDR1["ESTADO_ORDEN"];
	$DescripIDR1=$registroIDR1["DESCRIPCION"];
	$CXTrabaIDR1=$registroIDR1["CANTIDAD_X_TRABAJAR"];
	$CApartaIDR1=$registroIDR1["CANTIDAD_APARTADA"];
	$PedimenIDR1=$registroIDR1["PEDIMENTO_SOLICITADO"];
	$TiExtraIDR1=$registroIDR1["TIPO_EXTRACCION"];
	$EdoLineIDR1=$registroIDR1["ESTADO_LINEA"];
	}
	
	///Identificar si se coloco un motivo de cancelación
	if ($MotEn=="")
		{
			echo "<script>alert('Favor de documentar el motivo por el cual realiza la cancelación de la línea.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=WindowsClose.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Motivo 01
			
	///Identificar el estado de la Linea y determinar si es posible realizar la cancelación de la misma
		if($EdoLineIDR1<>"POR CONFIMAR") 
		{
			echo "<script>alert('El estado de la linea no es apto para realizar la cancelación de la misma.\\n\\nFavor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=WindowsClose.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Estado Linea 02
			

	///Modificar el estatus de la Linea, asi como la Cantidad Apartada DENTRO DE LA ORDEN DE TRABAJO
		$sql_M1="UPDATE extra_ordentrabajo SET CANTIDAD_APARTADA='0',ESTADO_LINEA='CANCELADA',MOTIVO_CANCELACION='$MotEn',HORA_CAN='$HoraOK',FECHA_CAN='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ID='$IDBDEn' AND SKU='$SkuEn'";
		$resultado_M1=mysql_query($sql_M1,$conexion) or die(mysql_error());
			
	///Realizar el Barrido de todas las tareas de Traslado para dicha Linea a CANCELAR
		$sql_W1=mysql_query("Select * from extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1'");
		while($res_w1=mysql_fetch_array($sql_W1))
			{///Inicia While 01
			$IdBaseDatos = $res_w1['ID'];
			$NoPalletCorrecto = $res_w1['NO_PALLET_NUEVO'];
				
				///Identificar datos Generales del Pallet Dentro del Stock
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletCorrecto' AND SKU='$SkuEn' AND LOTEPRODU='$PedimenIDR1' AND TIPO_ALMACEN='$TiExtraIDR1'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$CCanti=$registroDU2["CANTIDAD"];
						$CEdoCali=$registroDU2["EDO_CALIDAD"];
						$CUbicaActu=$registroDU2["UBICACION"];
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];
					}
			
				///Variables Fijas////////////
					$NMovimiento="CALIDAD - ".$CEdoCali;
					$NMovimientoMAS="CALIDAD + D";
		
			///***** REGISTRO A MENOS DENTRO DEL KARDEX *****///
			
				///Generador de Folio concecutivo en la tabla Kardex///
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
			
				///Guardar el registro a MENOS en la Table_Kardex///
						$sqlKMEN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
						values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimiento','$CUbicaActu','$NoPalletCorrecto','$CCantiMEN','$HoraOK','$Fecha','$UsuEn')";
						$resultadoKMEN=mysql_query($sqlKMEN,$conexion) or die(mysql_error());
			
			///***** REGISTRO A MAS DENTRO DEL KARDEX *****///
				
				///Generador de Folio concecutivo en la tabla Kardex///
						$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
						$libK2 = mysql_query($sqlIDK2); 
						$rs_libK2 = mysql_fetch_assoc($libK2); 
						$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;
			
				///Guardar el registro a MAS en la Table_Kardex///
						$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        				values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimientoMAS','$CUbicaActu','$NoPalletCorrecto','$CCantiMAS','$HoraOK','$Fecha','$UsuEn')";
						$resultadoKMAS=mysql_query($sqlKMAS,$conexion) or die(mysql_error());
			
			///***** REALIZA LA MODIFICACIÓN DENTRO DEL STOCK *****///
			
				///Guardar el Cabio de Calidad en la BD - Modifica la Table Inventario//////////
						$sqlMI="UPDATE tabla_inventario SET EDO_CALIDAD='D' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletCorrecto' AND SKU='$SkuEn' AND LOTEPRODU='$PedimenIDR1' AND TIPO_ALMACEN='$TiExtraIDR1'";
						$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
			
			///***** REALIZA LA MODIFICACIÓN DENTRO DE LAS TAREAS DE TRASLADO *****///
			
				///Modificar el estatus de la Linea, asi como la Cantidad Apartada dentro de cada tarea de trasalo
					$sql_M2="UPDATE extra_tareas_ordentrabajo SET CANT_XTAREA='0',ESTADO_TAREA='CANCELADA',USUARIO_EJECUTO='$UsuEn',HORA_EJECUTO='$HoraOK',FECHA_EJECUTO='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ID='$IdBaseDatos'";
					$resultado_M2=mysql_query($sql_M2,$conexion) or die(mysql_error());
			
			}///Termina While 01
			
		echo "<script>alert('La línea del código seleccionado ha sido cancelada tanto en ordenes de trabajo como en tareas de traslado de forma exitosa.\\n\\nFavor de corroborarlo.'); </script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=WindowsClose.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		
		} ///Termina IF Estado Linea 02
		} ///Termina IF Motivo 01
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>